Update an entity tag
curl --request PATCH \
--url https://api.syntage.com/entity-tags/{id} \
--header 'Content-Type: application/merge-patch+json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Priority Entity",
"color": "#22c558"
}
'import requests
url = "https://api.syntage.com/entity-tags/{id}"
payload = {
"name": "Priority Entity",
"color": "#22c558"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/merge-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/merge-patch+json'},
body: JSON.stringify({name: 'Priority Entity', color: '#22c558'})
};
fetch('https://api.syntage.com/entity-tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}Entity Tags
Update an entity tag
Update the display name for an entity tag.
PATCH
/
entity-tags
/
{id}
Update an entity tag
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Body
application/merge-patch+json
Response
Entity tag resource response
Entity Tag IRI reference
Example:
"/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997"
JSON-LD resource type
Example:
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Display name for the entity tag
Example:
"Priority Entity"
Lowercase 7-character hexadecimal color used to display the tag (#RRGGBB). Defaults to #a3aab5 when an entity tag is created without a color.
Example:
"#22c558"
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?